;;; @file c2n.s
;;; Commodore C2N tape header for the file server
;;; @author Marko Mkel (marko.makela@nic.funet.fi)

	processor 6502

#include "host.s"
#include "mem.s"

	seg MAIN
	org 0
	
#if host == 201 || host == 202 || host == 203
	dc.b 1
#else
	dc.b 3
#endif
	dc.w serverstart
	dc.w serverend
	dc.s "CBMLINK SYS"
#if serverstart / 10000
	dc.b $30 + (serverstart / 10000)
#endif
#if serverstart / 1000
	dc.b $30 + ((serverstart / 1000) % 10)
#endif
#if serverstart / 100
	dc.b $30 + ((serverstart / 100) % 10)
#endif
#if serverstart / 10
	dc.b $30 + ((serverstart / 10) % 10)
#endif
	dc.b $30 + (serverstart % 10)

	org 192, $20

	rorg serverstart

#include "main.s"
serverend:
	rend
