;;; @file pia.s
;;; Definitions for the MC 6821 PIA controlled memory expansion
;;; for the Commodore 64 and 128
;;; @author Marko Mkel (marko.makela@nic.funet.fi)

#include "piabase.s"

	;; macro: initialize the RAM expansion
#mac initram
	piainit
#endm

	;; increment and compare pointers
#mac incmptr_decl
	pia_incmptr_decl
	piadata
#endm

	;; load a memory block
#mac do_load
	plain_load
#endm

	;; save a memory block
#mac do_save
	plain_save
#endm
