;;; @file piareu.s
;;; Definitions for the Commodore RAM Expansion Unit
;;; and the MC 6821 PIA controlled memory expansion
;;; for the Commodore 64 and 128
;;; @author Marko Mkel (marko.makela@nic.funet.fi)

#include "piabase.s"
#include "reubase.s"

	;; macro: initialize the RAM expansion
#mac initram
	piainit
#endm

	;; increment and compare pointers
#mac incmptr_decl
	pia_incmptr_decl
	piadata
	reu_aux
#endm

	;; load a memory block
#mac do_load
	reu_load
#endm
	;; save a memory block
#mac do_save
	reu_save
#endm
