;;; @file reu.s
;;; Definitions for the Commodore RAM Expansion Unit
;;; for the Commodore 64 and 128
;;; @author Marko Mkel (marko.makela@nic.funet.fi)

#include "nonebase.s"
#include "reubase.s"

	;; macro: initialize the RAM expansion
#mac initram
#endm
	;; increment and compare pointers
#mac incmptr_decl
	plain_incmptr_decl
	reu_aux
#endm

	;; load a memory block
#mac do_load
	reu_load
#endm
	;; save a memory block
#mac do_save
	reu_save
#endm
