;;; @file ext.s
;;; Common definitions for cbmlink extensions
;;; @author Marko Mkel (marko.makela@nic.funet.fi)

	processor 6502

pet eqm 0
#include "rom.s"

fileno = 45			; a hopefully unused file number

	;; the jump table
	seg.u JMPTAB
	org 0
install		ds.b 3		; install the server
deinstall	ds.b 3		; remove the server
prepare		ds.b 3		; prepare for using the data link
send_switch	ds.b 3		; switch from receive to send, and
send		ds.b 3		; send a byte in .A; trash .A, maybe clear .Y
receive_switch	ds.b 3		; switch from send to receive, and
receive		ds.b 3		; receive a byte to .A; maybe set .Y=0
exit		ds.b 3		; install the server and exit

;;; All extensions should perform "jsr prepare" as the first step.
;;; Extensions should perform "jmp exit" only when the last data
;;; action has been jsr receive_switch or jsr receive.  That is,
;;; the remote end must give the final command to terminate the extension.

	;; the main code
	seg code
	org utilstart
