;;; @file plain.s
;;; Definitions for no memory expansion
;;; @author Marko Mkel (marko.makela@nic.funet.fi)

#include "nonebase.s"

	;; flag: is there a RAM expansion
ramexp	= 0
	;; macro: initialize the RAM expansion
#mac initram
#endm
	;; increment and compare pointers
#mac incmptr_decl
	plain_incmptr_decl
#endm

	;; load a memory block
#mac do_load
	plain_load
#endm
	;; save a memory block
#mac do_save
	plain_save
#endm
